@echo off
pushd %~d0%~p0

setlocal EnableDelayedExpansion

set "_READERNAME=READER"
set "_READERMODEL=PRS-650"

for /F "usebackq tokens=1" %%a in (`.\ebook_msc.exe name %_READERMODEL% getdrv`) do (
   if /I "%%a" NEQ "NONE" (
	  set "DRIVE=%%a"
	  goto :done_looking
   )
)

echo Reader [%_READERNAME%] not found
echo.
.\ebook_msc.exe listdrv
echo.
set /p DRIVE="Enter the letter of the Reader drive? "
if errorlevel 1 goto :failure

:done_looking

set "DRIVE=%DRIVE:~0,1%"
vol %DRIVE%:
if errorlevel 1 goto :failure

set /p "ANSWER=Continue? <Y/N> "

if /I "%ANSWER%" NEQ "Y" goto :failure

rem set /p DRIVE=Enter the letter of the Reader drive?
rem if errorlevel 1 goto :failure

rem goto :nocopy-epub

if not exist ./tocopy-books goto :nocopy-books

xcopy .\tocopy-books\*.* %DRIVE%:\database\media\books /E /C /R /H /I /K /Y 

:nocopy-books

if not exist ./tocopy-epub goto :nocopy-epub

xcopy .\tocopy-epub\*.* %DRIVE%:\epub /E /C /H /I /K /Y 

:nocopy-epub

xcopy ".\%_READERMODEL% Updater.package" %DRIVE%:\ /Y
if errorlevel 1 goto :failure

xcopy .\test-flash %DRIVE%:\test /E /C /R /H /I /K /Y
if errorlevel 1 goto :failure

.\ebook_msc.exe name %_READERMODEL% um recovery
if errorlevel 1 goto :failure

pause
popd 
goto :eof

:failure
echo Script did not complete
pause
popd 

